<app-nav-bar [type] = " 'worker' ">
<ng-container class="unauthorized" *ngIf="!isActive; else products">
    <div class="mainError">
        <img src="{{links.logo}}" alt="">
        <div class="errorText">
            <p> Lo siento no esta autorizado para realizar esta operación.</p>
            <p> Esto se puede deber a que aun no ha sido aceptada su solicitud de trabajador o fue rechazada.</p>
        </div>
    </div>
</ng-container>

<ng-template #products>
    <div class="products">
        <div class="shopHeader">
            <div class="filter">
                <mat-form-field>
                    <mat-label>Buscar producto</mat-label>
                    <input matInput type="text" [(ngModel)]="value" (ngModelChange)="searchProduct($event)">
                    <button mat-button *ngIf="value" matSuffix mat-icon-button aria-label="Clear" (click)="value=''">
                      <mat-icon>close</mat-icon>
                    </button>
                  </mat-form-field>
            </div>
    
            <div class="carShopping">
                <div class="example-button-container">
                    <button mat-fab color="primary"  matTooltip="Ver carrito" aria-label="Example icon button with a heart icon" (click)="showCart()">
                      {{productsInShoppingCart.length}} <mat-icon>shopping_cart</mat-icon>
                    </button>
                  </div>
            </div>
        </div>

        <div class="productToAdd" *ngIf="selectedProduct">
            <div class="mainProduct">
                <div class="image">
                    <img src="{{selectedProduct._image}}" alt="">
                </div>
                <div class="productInformation">
                    <p>Nombre: {{selectedProduct._name}}</p>
                    <p>Descripción: {{ selectedProduct._description }}</p>
                    <p>Cantidad disponible: {{ selectedProduct._amount }}</p>
                    <p>Costo: {{ selectedProduct._cost}} </p>
                </div>
            </div>
            <div class="actions">
                <button mat-button matSuffix mat-mini-fab color="primary" aria-label="Agregar" (click)="addProductToCart(selectedProduct)">
                    <mat-icon>add</mat-icon>
                </button>
                <button mat-button matSuffix mat-mini-fab color="basic" aria-label="Agregar" (click)="deleteProductOnCart(selectedProduct)">
                    <mat-icon>delete</mat-icon>
                </button>
            </div>
        </div>

        <div class="finish">
            <button *ngIf="productsInShoppingCart.length > 0" mat-button (click)="showShoppingPreview()">
                Terminar compra
            </button>
        </div>
    </div>
</ng-template>
</app-nav-bar>